> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usesendly.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhooks

> Get your webhooks

## Description

Get a list of all webhooks configured in your account.

## Parameters

<ParamField query="limit" type="number">
  Results per page. Default: 20. Maximum: 100
</ParamField>

<ParamField query="page" type="number">
  Page number. Default: 1
</ParamField>

<ParamField query="sortBy" type="string" enum="['url', 'created_at']">
  Sort field.
</ParamField>

<ParamField query="sortOrder" type="string" enum="['asc', 'desc']">
  Sort order. Default: `desc`
</ParamField>

## Response

<ResponseField name="data" type="array">
  Array of webhooks.
</ResponseField>

<ResponseField name="pagination" type="object">
  Pagination information.
</ResponseField>

## Examples

<CodeGroup>
  ```bash cURL theme={null}
  curl "https://api.usesendly.app/v1/webhooks" \
    -H "Authorization: Bearer se_your_api_key"
  ```

  ```javascript SDK theme={null}
  const response = await client.webhooks.list()

  response.data.forEach(webhook => {
    console.log(`${webhook.id}: ${webhook.url}`)
  })
  ```

  ```javascript SMTP theme={null}
  import { Sendly } from '@sendlyapp/sdk'

  const client = new Sendly()
  const response = await client.webhooks.list()
  ```
</CodeGroup>

***

Need help? Contact [support@usesendly.app](mailto:support@usesendly.app)
